Package twisted :: Package python :: Module rebuild

[show private | hide private]
[frames | no frames]

## Module twisted.python.rebuild

*Real* reloading support for Python.

Classes
`Sensitive` | A utility mixin that's sensitive to rebuilds.

Function Summary
| ``__getattr__`(self, name)` A getattr method to cause a class to be refreshed.
| ``latestClass`(oldClass)` Get the latest version of a class.
| ``latestFunction`(oldFunc)` Get the latest version of a function.
| ``rebuild`(module, doLog)` Reload a module and do as much as possible to replace its references.
| ``updateInstance`(self)` Updates an instance to be current

Variable Summary
`float` | `lastRebuild`
`dict` | `_modDictIDMap`

Function Details

### __getattr__(self, name)
(Qualification operator)

A getattr method to cause a class to be refreshed.

### latestClass(oldClass)

Get the latest version of a class.

### latestFunction(oldFunc)

Get the latest version of a function.

### rebuild(module, doLog=1)

Reload a module and do as much as possible to replace its references.

### updateInstance(self)

Updates an instance to be current

Variable Details

### lastRebuild

  Type:
    `float`
  Value:

        1052417714.0465519

### _modDictIDMap

  Type:
    `dict`
  Value:

        {}

Generated by Epydoc 1.1 on Thu May 8 13:18:56 2003 | http://epydoc.sf.net